/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/6/16
 */
package org.springblade.modules.business.data.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.business.data.entity.RtuDataRiverEntity;
import org.springblade.modules.business.data.entity.RtuDataSzyFlowRateEntity;
import org.springblade.modules.business.data.mapper.RtuDataSzyMpMapper;
import org.springblade.modules.business.data.service.IRtuDataSzyMpService;
import org.springframework.stereotype.Service;

import java.util.Date;

/***
 * Date:2023/6/16
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class RtuDataSzyMpServiceImpl extends BaseServiceImpl<RtuDataSzyMpMapper, RtuDataSzyFlowRateEntity> implements IRtuDataSzyMpService {
    @Override
    public boolean updateInfo(RtuDataSzyFlowRateEntity entity) {
        LambdaQueryWrapper<RtuDataSzyFlowRateEntity> dataWrapper = Wrappers.<RtuDataSzyFlowRateEntity>query().lambda();
        dataWrapper.eq(RtuDataSzyFlowRateEntity::getRtuCode, entity.getRtuCode());
        dataWrapper.eq(RtuDataSzyFlowRateEntity::getIsDeleted, 0);
        RtuDataSzyFlowRateEntity riverEntity = this.getOne(dataWrapper);
        if (null != riverEntity) {
            entity.setId(riverEntity.getId());
        }
        entity.setUpdateTime(new Date());
        return this.saveOrUpdate(entity);
    }
}
